Cyberduck Mountain Duck CLI

#9495 closed defect (worksforme)

System.TypeInitializationException when opening application

Reported by: kevin_cndl Owned by:
Priority: high Milestone: 5.0
Component: core Version: 4.9.3
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hi support, I have installed Cyberduck win Win7 x64, but failed to start it up due to application crash.

I check the Windows log - application, please see below for details:

Application: Cyberduck.exe
Framework Version: v4.0.30319
Description: The process was terminated due to an unhandled exception.
Exception Info: System.TypeInitializationException
Stack:
   at Ch.Cyberduck.Ui.Controller.MainController.Main()

-------------
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Application Error" />
    <EventID Qualifiers="0">1000</EventID>
    <Level>2</Level>
    <Task>100</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2016-04-29T00:48:56.000000000Z" />
    <EventRecordID>8533</EventRecordID>
    <Channel>Application</Channel>
    <Computer>YAOGWANG-CN.cn.oracle.com</Computer>
    <Security />
  </System>
  <EventData>
    <Data>Cyberduck.exe</Data>
    <Data>4.9.3.19798</Data>
    <Data>571a149c</Data>
    <Data>KERNELBASE.dll</Data>
    <Data>6.1.7601.23392</Data>
    <Data>56eb30d1</Data>
    <Data>e0434352</Data>
    <Data>0000c54f</Data>
    <Data>17e4</Data>
    <Data>01d1a1b0e730b41c</Data>
    <Data>C:\Program Files (x86)\Cyberduck\Cyberduck.exe</Data>
    <Data>C:\windows\syswow64\KERNELBASE.dll</Data>
    <Data>26b98c2c-0da4-11e6-9710-1002b5b0202e</Data>
  </EventData>
</Event>

If any more info required please do not hesitate to let me know.

Thanks Yaoguang

Change History (6)

comment:1 Changed on May 4, 2016 at 4:41:14 PM by dkocher

  • Description modified (diff)

comment:2 Changed on May 4, 2016 at 4:41:40 PM by dkocher

  • Summary changed from Can't start Cyberduck application due to error to System.TypeInitializationException when opening application

comment:3 Changed on May 10, 2016 at 9:32:29 AM by dkocher

  • Milestone set to 5.0

comment:4 Changed on May 17, 2016 at 7:14:16 PM by yla

Can you please remove the following two folders and try to start Cyberduck again?

C:\Users\[username]\AppData\Roaming\Cyberduck
C:\Users\[username]\AppData\Roaming\iterate_GmbH

comment:5 Changed on May 18, 2016 at 4:39:42 AM by kevin_cndl

Dear support, This issue is fixed by reinstalling the .Net Framework 4.5.2.

You can close the ticket. Thank you.

Yaoguang

comment:6 Changed on May 18, 2016 at 2:55:19 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software